## org.eclipse.jst.jsf.facesconfig.emf.impl
Class NavigationCaseTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.NavigationCaseTypeImpl

All Implemented Interfaces:
  NavigationCaseType

    public class NavigationCaseTypeImpl

extends EObjectImpl
implements NavigationCaseType

An implementation of the model object 'Navigation Case Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `From Action`
- `From Outcome`
- `If`
- `To View Id`
- `Redirect`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetFromAction(FromActionType newFromAction, NotificationChain msgs)`
`NotificationChain` `basicSetFromOutcome(FromOutcomeType newFromOutcome, NotificationChain msgs)`
`NotificationChain` `basicSetIf(IfType newIf, NotificationChain msgs)`
`NotificationChain` `basicSetRedirect(RedirectType newRedirect, NotificationChain msgs)`
`NotificationChain` `basicSetToViewId(ToViewIdType newToViewId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`FromActionType` `getFromAction()`
`FromOutcomeType` `getFromOutcome()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`IfType` `getIf()`
`RedirectType` `getRedirect()`
`ToViewIdType` `getToViewId()`
`void` `setFromAction(FromActionType newFromAction)`
`void` `setFromOutcome(FromOutcomeType newFromOutcome)`
`void` `setId(java.lang.String newId)`
`void` `setIf(IfType newIf)`
`void` `setRedirect(RedirectType newRedirect)`
`void` `setToViewId(ToViewIdType newToViewId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `NavigationCaseType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `NavigationCaseType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `NavigationCaseType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_Icon()`

### getFromAction

    public FromActionType getFromAction()

  Specified by:
    `getFromAction` in interface `NavigationCaseType`
  Returns:
    the value of the 'From Action' containment reference.
  See Also:
    `NavigationCaseType.setFromAction(FromActionType)`, `FacesConfigPackage.getNavigationCaseType_FromAction()`

### basicSetFromAction

    public NotificationChain basicSetFromAction(FromActionType newFromAction,
                                                NotificationChain msgs)

  Parameters:
    `newFromAction` -
    `msgs` -
  Returns:
    the notification chain

### setFromAction

    public void setFromAction(FromActionType newFromAction)

  Specified by:
    `setFromAction` in interface `NavigationCaseType`
  Parameters:
    `newFromAction` - the new value of the 'From Action' containment reference.
  See Also:
    `NavigationCaseType.getFromAction()`

### getFromOutcome

    public FromOutcomeType getFromOutcome()

  Specified by:
    `getFromOutcome` in interface `NavigationCaseType`
  Returns:
    the value of the 'From Outcome' containment reference.
  See Also:
    `NavigationCaseType.setFromOutcome(FromOutcomeType)`, `FacesConfigPackage.getNavigationCaseType_FromOutcome()`

### basicSetFromOutcome

    public NotificationChain basicSetFromOutcome(FromOutcomeType newFromOutcome,
                                                 NotificationChain msgs)

  Parameters:
    `newFromOutcome` -
    `msgs` -
  Returns:
    the notification chain

### setFromOutcome

    public void setFromOutcome(FromOutcomeType newFromOutcome)

  Specified by:
    `setFromOutcome` in interface `NavigationCaseType`
  Parameters:
    `newFromOutcome` - the new value of the 'From Outcome' containment reference.
  See Also:
    `NavigationCaseType.getFromOutcome()`

### getIf

    public IfType getIf()

  Specified by:
    `getIf` in interface `NavigationCaseType`
  Returns:
    the value of the 'If' containment reference.
  See Also:
    `NavigationCaseType.setIf(IfType)`, `FacesConfigPackage.getNavigationCaseType_If()`

### basicSetIf

    public NotificationChain basicSetIf(IfType newIf,
                                        NotificationChain msgs)

  Parameters:
    `newIf` -
    `msgs` -
  Returns:
    NotificationChain

### setIf

    public void setIf(IfType newIf)

  Specified by:
    `setIf` in interface `NavigationCaseType`
  Parameters:
    `newIf` - the new value of the 'If' containment reference.
  See Also:
    `NavigationCaseType.getIf()`

### getToViewId

    public ToViewIdType getToViewId()

  Specified by:
    `getToViewId` in interface `NavigationCaseType`
  Returns:
    the value of the 'To View Id' containment reference.
  See Also:
    `NavigationCaseType.setToViewId(ToViewIdType)`, `FacesConfigPackage.getNavigationCaseType_ToViewId()`

### basicSetToViewId

    public NotificationChain basicSetToViewId(ToViewIdType newToViewId,
                                              NotificationChain msgs)

  Parameters:
    `newToViewId` -
    `msgs` -
  Returns:
    the notification chain

### setToViewId

    public void setToViewId(ToViewIdType newToViewId)

  Specified by:
    `setToViewId` in interface `NavigationCaseType`
  Parameters:
    `newToViewId` - the new value of the 'To View Id' containment reference.
  See Also:
    `NavigationCaseType.getToViewId()`

### getRedirect

    public RedirectType getRedirect()

  Specified by:
    `getRedirect` in interface `NavigationCaseType`
  Returns:
    the value of the 'Redirect' containment reference.
  See Also:
    `NavigationCaseType.setRedirect(RedirectType)`, `FacesConfigPackage.getNavigationCaseType_Redirect()`

### basicSetRedirect

    public NotificationChain basicSetRedirect(RedirectType newRedirect,
                                              NotificationChain msgs)

  Parameters:
    `newRedirect` -
    `msgs` -
  Returns:
    the notification chain

### setRedirect

    public void setRedirect(RedirectType newRedirect)

  Specified by:
    `setRedirect` in interface `NavigationCaseType`
  Parameters:
    `newRedirect` - the new value of the 'Redirect' containment reference.
  See Also:
    `NavigationCaseType.getRedirect()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `NavigationCaseType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `NavigationCaseType.setId(String)`, `FacesConfigPackage.getNavigationCaseType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `NavigationCaseType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `NavigationCaseType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()